import cti_module 1.0
Rectangle {
   id: _automatic_Panel;
   width: mainLayout.width;
   height: mainLayout.height;
   color: "transparent";
   anchors.horizontalCenter:  mainLayout.horizontalCenter;
   anchors.verticalCenter:    mainLayout.verticalCenter;

   TouchButton {
         id:                     automatik_key
         myButtonId:             "FKT_Key_Automatik"
         text:                   mainLayout.textControlButton_Auto
         width:                  65+(65*mainLayout.desingnTouch)
         height:                 (mainLayout.controlButtonHeight ? mainLayout.controlButtonHeight : 60)
         anchors.bottom:         _automatic_Panel.bottom
         anchors.bottomMargin:   mainLayout.layoutCellHeightStatus
         anchors.left:           _automatic_Panel.left
         anchors.leftMargin:     17+mainLayout.desingnTouch*17
         pixelSize:              mainLayout.fontPixelSizeSmall
         radius:                (mainLayout.bottonFrameRadius ? mainLayout.bottonFrameRadius : 0);
         border.width:           0+2*mainLayout.desingnTouch*!mainLayout.automatikModusActive
         border.color:           mainLayout.controlButtonBorderColor
         visible:                mainLayout.automatikModusVisible
         buttonTextColor:        (mainLayout.automatikModusActive ? mainLayout.automatikAktivColor : mainLayout.automatikInaktivColor);

   }
   Rectangle {
         id:                     h_Line_left_active
         width:                  automatik_key.width
         height:                 2
         border.width:           1
         border.color:           mainLayout.automatikAktivColor
         visible:                (mainLayout.automatikModusVisible && mainLayout.automatikModusActive)
         anchors.left:           automatik_key.left
         anchors.bottom:         _automatic_Panel.bottom
         anchors.bottomMargin:   mainLayout.layoutCellHeightStatus
      }
    Rectangle {
         id:                     v_Line_left_inactive
         width:                  2
         height:                 automatik_key.height
         anchors.left:           automatik_key.right
         anchors.leftMargin:     mainLayout.layoutCellHeightStatus
         border.width:           1*!mainLayout.desingnTouch
         border.color:           mainLayout.automatikInaktivColor
         visible:                (mainLayout.automatikModusVisible && !mainLayout.automatikModusActive)
         anchors.bottom:         _automatic_Panel.bottom
         anchors.bottomMargin:   mainLayout.layoutCellHeightStatus

      }

    TouchButton {
         id:                     manual_key
         myButtonId:             "FKT_Key_Manual"
         text:                   mainLayout.textControlButton_Manual
         width:                  65+(65*mainLayout.desingnTouch)
         height:                 (mainLayout.controlButtonHeight ? mainLayout.controlButtonHeight : 60)
         anchors.bottom:         _automatic_Panel.bottom
         anchors.bottomMargin:   mainLayout.layoutCellHeightStatus
         anchors.right:          _automatic_Panel.right
         anchors.rightMargin:    17+mainLayout.desingnTouch*17
         pixelSize:              mainLayout.fontPixelSizeSmall
         border.width:           0+2*mainLayout.desingnTouch*mainLayout.automatikModusActive
         border.color:           mainLayout.controlButtonBorderColor
         radius:                 (mainLayout.bottonFrameRadius ? mainLayout.bottonFrameRadius : 0);
         visible:                mainLayout.automatikModusVisible
         buttonTextColor:        (mainLayout.automatikModusActive ? mainLayout.automatikInaktivColor : mainLayout.automatikAktivColor );
      }
   Rectangle {
         id:                     h_Line_right
         width:                  manual_key.width
         height:                 2
         border.width:           1
         border.color:           mainLayout.automatikAktivColor
         anchors.left:           manual_key.left
         anchors.bottom:         _automatic_Panel.bottom
         anchors.bottomMargin:   mainLayout.layoutCellHeightStatus
         visible:                (mainLayout.automatikModusVisible && !mainLayout.automatikModusActive)
      }
    Rectangle {
         id:                     v_Line_right
         width:                  2
         height:                 manual_key.height
         anchors.right:          manual_key.left
         anchors.rightMargin:    mainLayout.layoutCellHeightStatus
         border.width:           1*!mainLayout.desingnTouch
         border.color:           mainLayout.automatikInaktivColor
         visible:                ( mainLayout.automatikModusVisible && mainLayout.automatikModusActive)
         anchors.bottom:         _automatic_Panel.bottom
         anchors.bottomMargin:   mainLayout.layoutCellHeightStatus
      }

}
