import cti_module 1.0


Rectangle {
   id:                                button_tapp_areaT;
   property bool    isActive:         true;
   property int     iHWKey:           1084
   property string  myButtonId:       "empty";
   property alias   text:             _label.text;
   property alias   source:           _icon.source;
   property alias   label_id:         _label;
   property alias   buttonTextColor:   _label.color;
   property alias   tapHandler_id:    _tapHandler
   property alias   keyPressHoldTime: _tapHandler.pressAndHoldInterval
   property alias   bold:             _label.font.bold
   property alias   pixelSize:        _label.font.pixelSize
   property alias   isCtrlKey:        _tapHandler.mCtrlKey
   property alias   imageFillMode:      _icon.fillMode
   property alias   invertSendValue:   _tapHandler.iInvertSendValue

   property int     iImageWidth:       mainLayout.touchButtonImageSizeDefault   ? mainLayout.touchButtonImageSizeDefault	: mainLayout.bookingButtonImageWidth;
   property int     iImageHeight:      mainLayout.touchButtonImageSizeDefault  ? mainLayout.touchButtonImageSizeDefault  : mainLayout.bookingButtonImageHeight;
   //    debug    border.color: "red";      border.width: 1
   width:      (mainLayout.touchButtonWidthtDefault ? mainLayout.touchButtonWidthtDefault :  110 );
   height:     (mainLayout.touchButtonHeightDefault ? mainLayout.touchButtonHeightDefault :  mainLayout.layoutButtonHeight+28 );
   color:	    "transparent";

   Text
   {
      id: _label;
      anchors.fill:               button_tapp_areaT;
      font.pixelSize:             18 //24
      color:                      (button_tapp_areaT.isActive ? mainLayout.colorActive : mainLayout.colorText);
      width:                      2*mainLayout.layoutCellWidth + mainLayout.layoutCellSpace;
      height:                     mainLayout.layoutCellHeight;

   }
   Image
   {
      id: _icon;
//       anchors.fill:               button_tapp_areaT;
      anchors.centerIn:             button_tapp_areaT
      sourceSize.width:           button_tapp_areaT.iImageWidth
      sourceSize.height:          button_tapp_areaT.iImageHeight
//     anchors.centerIn:           button_tapp_areaT

   }
   TapHandler
   {
      id: _tapHandler
      mKey: iHWKey
      pressAndHoldInterval:   mainLayout.keyRepeatValue
   }
}
