import cti_module 1.0


TerminalPage {
   id:        _bookingdoublequestionPage;
   property alias bookingDoubleQuestionTxtMessage_text:    _questionTxtMessage.text;
   property string bookingDoubleQuestionCallToAction:      ""


   TimeSmall{ // Uhr ohne Datum
      id: _time
      anchors.right:    _leftPage.right
      anchors.topMargin: 0
      anchors.rightMargin: 0
   }

   DateSmall { // nur Datum
      id: _date
        anchors.left: _leftPage.left
        anchors.topMargin: 0
        anchors.leftMargin: 0
   }

   Rectangle{
      id: _leftPage
      width: _bookingdoublequestionPage.width/2 - 3*mainLayout.layoutTopMargin +6// 296?
      height: _bookingdoublequestionPage.height- 2*mainLayout.layoutTopMargin
      color: "transparent"
      x: mainLayout.layoutTopMargin
      y: mainLayout.layoutTopMargin

      MessageArea {
         id:               _questionTxtMessage;
         y:                2*mainLayout.layoutCellSpace; // 48
         z:                2
         width:            _leftPage.width
         anchors.left:     _leftPage.left;
         horizontalAlignment :   Text.AlignLeft;

      }

         ControlButton {
         myButtonId:       "FKT_Key_OK"
         iHWKey:           1079
         text:             mainLayout.textControlButton_Yes
         width:            140
         anchors.bottom:   _leftPage.bottom
         buttonTextColor:  mainLayout.controlButtonTextColor
         pixelSize:        mainLayout.fontPixelSizeKeyText
      }
      ControlButton {
         myButtonId:       "FKT_Key_Clear"
         iHWKey:           1067
         text:             mainLayout.textControlButton_No
         width:            140
         x:                150
         anchors.bottom:   _leftPage.bottom
         buttonTextColor:  mainLayout.controlButtonTextColor
         pixelSize:        mainLayout.fontPixelSizeKeyText
      }

      // Image / Text fuer Nachfrage
       ControlButton{
         id:            _questionCallToAction //_BackButton1;
         myButtonId:    "FKT_Key_Clear";
         iHWKey:        1067
         isCtrlKey:     false
         highlight:     false
         width:         88
         height:        88
         border.width:  0
         anchors.top:   _questionTxtMessage.bottom
         anchors.horizontalCenter:     _leftPage.horizontalCenter;
      }
   }

GridView//   ListView
   {
      id:                  _dummyButtonList;
      width:               _bookingdoublequestionPage.width/2-mainLayout.layoutTopMargin-6;
      height:              _bookingdoublequestionPage.height-2*mainLayout.layoutTopMargin
      anchors.top:         _bookingdoublequestionPage.top
      anchors.topMargin:   mainLayout.layoutTopMargin
      anchors.right:       _bookingdoublequestionPage.right
      anchors.rightMargin: mainLayout.layoutTopMargin
      clip:                true;
      snapMode:            GridView.SnapToRow;
      currentIndex:        -1 // nichts ausgewält beim start
      cellWidth:           (_dummyButtonList.width/mainLayout.bookingNumColumn)-mainLayout.bookCellSpacing/2
      cellHeight:          _dummyButtonList.height/3
      interactive:         false
      model:               6 // 6 Button 3 dummy 'Zeilen'
      visible:             mainLayout.desingnTouch
      delegate:   Item {
            x:          mainLayout.bookCellSpacing/2
            y:          mainLayout.bookCellSpacing/2
            width:      _dummyButtonList.cellWidth
            height:     _dummyButtonList.cellHeight
            BookingButtonTouch {
               isEnabled:              true
               isHighlight:            false
               width:                  _dummyButtonList.cellWidth-mainLayout.bookCellSpacing
               height:                 _dummyButtonList.cellHeight-mainLayout.bookCellSpacing
               anchors.centerIn:  parent
            }
      }// ListEntry
   } // gridView

}   // _bookingdoublequestionPage
