import cti_module 1.0

TerminalPage {
   id:        _confirmErrorPage;
   property alias confirmErrorTxtMessage :              _confirmErrorTxtMessage.text;
   property alias confirmErrorImgCallToAction_source:   _confirmErrorImgCallToAction.source;


   TimeSmall { // Uhr ohne Datum
      id:                  _time
      anchors.right:       _helpPageLeft.right
      anchors.topMargin:   0
      anchors.rightMargin: 0
      visible:             mainLayout.desingnTouch
   }

   DateSmall { // nur Datum
      id:                  _date
      anchors.left:        _helpPageLeft.left
      anchors.topMargin:   0
      anchors.leftMargin:  0
      visible:             mainLayout.desingnTouch
   }

   Rectangle { // Hilfsrahmen fuer linke Seite
      id:            _helpPageLeft

      width:         mainLayout.widthCallToAction+mainLayout.widthCallToAction*!mainLayout.desingnTouch    //
      height:        _confirmErrorPage.height-( 2*mainLayout.layoutTopMargin*mainLayout.desingnTouch)
      color:         "transparent"
      x:             mainLayout.layoutTopMargin*mainLayout.desingnTouch+( (mainLayout.width/2-mainLayout.widthCallToAction) *!mainLayout.desingnTouch)
      y:             mainLayout.layoutTopMargin*mainLayout.desingnTouch
      z:             20

      MessageArea {
         id:                     _confirmErrorTxtMessage;
         y:                      mainLayout.layoutCellSpace*2*mainLayout.desingnTouch+mainLayout.layoutCellHeight*!mainLayout.desingnTouch;
         horizontalAlignment :   mainLayout.messageAreaTextAlign// Text.AlignLeft;
         width:                     _helpPageLeft.width
         height:                 mainLayout.heightMessageArea+2*mainLayout.layoutCellSpace//*!mainLayout.desingnTouch
      }

      ControlButton{
         id:      _confirmErrorImgCallToAction //_BackButton1;
         iHWKey:  1067
         isCtrlKey: false
         myButtonId: "FKT_Key_Clear";
         highlight: false
         border.width: 0
         anchors.horizontalCenter:  _helpPageLeft.horizontalCenter
         anchors.top:               _confirmErrorTxtMessage.bottom
         width:                     mainLayout.touchButtonImageSizeDefault
         height:                    mainLayout.touchButtonImageSizeDefault
         imageFillMode:             Image.Stretch
      }
// Rectangle{ border.width: 2; border.color: "red"; color: "transparent"; anchors.fill: _confirmErrorImgCallToAction; }
// Rectangle{ border.width: 2; border.color: "yellow"; color: "transparent"; anchors.fill: _confirmErrorTxtMessage; }

      ControlButton {
         myButtonId: "FKT_Key_Clear"
         iHWKey:     1067
         text:       mainLayout.textControlButton_Home
         width:      140
         anchors.bottom:   _helpPageLeft.bottom
         buttonTextColor:  mainLayout.controlButtonTextColor
         pixelSize:        mainLayout.fontPixelSizeKeyText
         visible:          mainLayout.desingnTouch
      }
      ControlButton {
         myButtonId:       "FKT_Key_Info"
         iHWKey:           1073
         text:             mainLayout.textControlButton_Info//"Info"
         width:            140
         x:                150
         anchors.bottom:   _helpPageLeft.bottom
         buttonTextColor:  mainLayout.controlButtonTextColor
         pixelSize:        mainLayout.fontPixelSizeKeyText
         visible:          mainLayout.desingnTouch
      }
   }

GridView//   ListView
   {
      id:                  _dummyButtonList;
      width:               _confirmErrorPage.width/2-mainLayout.layoutTopMargin-6;
      height:              _confirmErrorPage.height-2*mainLayout.layoutTopMargin
      anchors.top:         _confirmErrorPage.top
      anchors.topMargin:   mainLayout.layoutTopMargin
      anchors.right:       _confirmErrorPage.right
      anchors.rightMargin: mainLayout.layoutTopMargin
      clip:                true;
      snapMode:            GridView.SnapToRow;
      currentIndex:        -1 // nichts ausgewält beim start

      cellWidth:           (_dummyButtonList.width/mainLayout.bookingNumColumn)-mainLayout.bookCellSpacing/2
      cellHeight:          _dummyButtonList.height/3
      interactive:         false
      model:	6 // 6 Button 3 dummy 'Zeilen'
      visible:          mainLayout.desingnTouch
      delegate:   Item {
            x:          mainLayout.bookCellSpacing/2
            y:          mainLayout.bookCellSpacing/2
            width:      _dummyButtonList.cellWidth
            height:     _dummyButtonList.cellHeight
            BookingButtonTouch {
               isEnabled:              true
               isHighlight:            false
               width:                  _dummyButtonList.cellWidth-mainLayout.bookCellSpacing
               height:                 _dummyButtonList.cellHeight-mainLayout.bookCellSpacing
               anchors.centerIn:  parent
            }
      }// ListEntry
   } // gridView

}   // _confirmErrorPage
