import cti_module 1.0

MainBasisLayoutCTI {

   property string g_TitleString: qsTr("Terminal 800")

   property int    layoutDiff:               2 // anpassung Pixel fuer das Hilfslieniengitter

   property int   listViewShowEntryCount:    3  // Anzahl sichtbarer Listeneintrage

   property int   layoutCellWidth:           90
   property int   layoutCellHeight:          80
   property int   layoutCellHeightStatus:    32
   property int   layoutCellHeightLastRow:   42
   property int   layoutCellSpace:           24 // note: 3 eintrage, bei 2 ist: 16

   property int   layoutTopMargin:           36;

// 27.07.2020, neu definierte globale Eigenschaften, wegen Anpassung fürTouch
   property int   fontPixelSizeCallToAction:    26
   property int   fontPixelSizeMessage:         28
   property int   fontPixelSizeSmallDate_Time:  24
   fontPixelSizeDefault:                        20
   fontPixelSizeStatus:                         18
   fontPixelSizeSmall:                          14
   property int                              widthMessageArea: 2.5*mainLayout.layoutCellWidth
   property int                              heightMessageArea: 2*mainLayout.layoutCellHeight + mainLayout.layoutCellSpace;

   widthCallToAction:                        mainLayout.width/2 - 3*mainLayout.layoutTopMargin +6// 296?
   messageAreaTextAlign:                     Text.AlignLeft
   callToActionTextAlign:                    Text.AlignLeft
   callToActionTopMargin:                    mainLayout.fontPixelSizeDefault/2

   property int   widthClockLargeDate:       5*mainLayout.layoutCellWidth
// ab hier alles pruefen
   property int   fontPixelSizeClockTime:       100
   property int   fontPixelSizeClockDate:       28
   property int   listButton_width:             mainLayout.layoutCellWidth*2+layoutCellSpace*2;


   property int   controlPanelHeight:           mainLayout.controlButtonHeight
   property int   controlButtonWidth:           40
   property int   controlButtonHeight:          40


   property int   imageWidthDefault:            64
   property int   imageHeightDefault:           64

   property int   bookingButtonImageWidth:      56;
   property int   bookingButtonImageHeight:     56;

   property string smallDateFormat:             String("dd.MM.yyyy");
   colorText:                                   "#FAFAFA"
   colorTextStatus:                             "#BBBABABA"
   listButtonTextColor:                         "#FAFAFA" //colorText
   bottonFrameRadius:            5

   //    property int    listViewShowEntryCount: 2	// Anzahl sichtbarer Listeneintrage
   property int    listTextIconSpace: 8
   property int    listTextPadding: 8
   desingnTouch:   true

   property int    layoutButtonHeight:    layoutCellHeight+layoutCellSpace;
   property int    g_settings_List_scroll: 1 //1-Zeile, 2- Seite=2Zeilen
   property int    g_settings_Animation_Speed: 200 // in millisekunden wenn 0, dann keine Animation, fuer KeyPad

   property int    statusMargin: 32 //8

   fontFamilyRegular:     fontFamilyLatoReg;
   fontFamilySemiBold:    fontFamilyLatoBold;

   property var localeDefault:	Qt.locale(customLocale);

   onCustomLocaleChanged: {
      if(customLocale)
            localeDefault = Qt.locale(customLocale);
   }
}

