﻿define([], function () {

    function getSelectedValidityType() {
        var $auswahlSelect = $('#ValidityType');
        var selectedValue   = $auswahlSelect.val();

        return selectedValue;
    }

    function setDisabled() {
        var selectedValidityType = getSelectedValidityType();

        if (selectedValidityType == 0) {    //HoursFromNow
            $('#ValidityDurationHours').removeAttr("disabled");
            $('#groupValidityDurationHours').removeClass("hidden");
            $('#ValidityDurationDays').attr("disabled", "disabled");
            $('#groupValidityDurationDays').addClass("hidden");
            $('#ValidityDurationTime').attr("disabled", "disabled");
            $('#groupValidityDurationTime').addClass("hidden");
        }
        else if (selectedValidityType == 1) {    //TodayWithTime
            $('#ValidityDurationHours').attr("disabled", "disabled");
            $('#groupValidityDurationHours').addClass("hidden");
            $('#ValidityDurationDays').attr("disabled", "disabled");
            $('#groupValidityDurationDays').addClass("hidden");
            $('#ValidityDurationTime').removeAttr("disabled");
            $('#groupValidityDurationTime').removeClass("hidden");
        }
        else if (selectedValidityType == 3 || selectedValidityType == 4) {    //PersonValidity, //AlwaysValid
            $('#ValidityDurationHours').attr("disabled", "disabled");
            $('#groupValidityDurationHours').addClass("hidden");
            $('#ValidityDurationDays').removeAttr("disabled", "disabled");
            $('#groupValidityDurationDays').addClass("hidden");
            $('#ValidityDurationTime').removeAttr("disabled", "disabled");
            $('#groupValidityDurationTime').addClass("hidden");
        }
        else { //if (selectedValidityType == 2) {    //DaysWithTime
            $('#ValidityDurationHours').attr("disabled", "disabled");
            $('#groupValidityDurationHours').addClass("hidden");
            $('#ValidityDurationDays').removeAttr("disabled");
            $('#groupValidityDurationDays').removeClass("hidden");
            $('#ValidityDurationTime').removeAttr("disabled");
            $('#groupValidityDurationTime').removeClass("hidden");
        }
    }

    return {
        init: function (config) {
            $('#ValidityType').change(function () {
                setDisabled();
            });

            setDisabled();
        }
    };

});